SET ":has_post_params" = (SELECT 1 FROM json_each(sqlpage.variables('post')) LIMIT 1);
SET ":content" = (SELECT json_patch(sqlpage.variables('post'), '{
    "has_post_params": null,
    "timestamp": null
}'));
SET ":title" = 'Code';
SET ":tool" = 'code';
SET ":hash" = COALESCE($hash, '');
SET ":hash" = sqlpage.url_encode(:hash);
SET ":link" = '/code.sql';
SET ":color" = '#f59f00';
SET ":tabler_color" = 'azure';
SET ":image" = '/static/code/qr.svg';
SET ":favicon" = :image;
--SET ":manifest" = '/static/upload/manifest.json';
SELECT 'dynamic' AS component, sqlpage.run_sql('code/Index.sql') AS properties;
