SET ":title" = 'GoTo';
SET ":tool" = 'goto';
SET ":hash" = COALESCE($hash, '');
SET ":hash" = sqlpage.url_encode(:hash);
SET ":go" = COALESCE($go, '');
SET ":color" = '#dc4e41';
SET ":tabler_color" = 'google';
SET ":image" = '/static/goto/chain-link2fr-3-2.svg';
SET ":favicon" = :image;
SET ":manifest" = '/static/goto/manifest.json';
SET ":action" = COALESCE($action, :action, '');
SET ":inner" = (CASE :action
  WHEN 'open' THEN 'sqlpage/Open.sql'
  ELSE 'goto/Index.sql'
END);
SELECT 'dynamic' AS component, sqlpage.run_sql('goto/redirect.sql') AS properties
WHERE (:go = 'true' AND :hash <> '');

SELECT 'dynamic' AS component, sqlpage.run_sql('sqlpage/theme.sql') AS properties;
SELECT 'dynamic' AS component, sqlpage.run_sql('sqlpage/Style.sql') AS properties;
SET ":spinner" = COALESCE(:content,'') <> '' AND COALESCE(:action, '') = 'Shrtn It!';
SELECT 'loader-start' AS component
, 'lg' AS size
, :tabler_color AS color
, '' AS spinner
WHERE :spinner
;
SELECT 'progress' AS component
, 'lg' AS size
, :tabler_color AS color
WHERE :spinner
;
SELECT 'dynamic' AS component, sqlpage.run_sql(:inner) AS properties;
