SET ":request" = json_object(
    'method', 'POST',
    'url', 'https://shandan.one/'||:tool||'/meta',
    'headers', json_object(),
    'timeout_ms', 15000,
    'body', json_object(
        'data', CASE :tool
            WHEN 'code' THEN json(:content)
            ELSE :content
        END
    )
);
SET ":meta" = json(sqlpage.fetch(:request));
SET ":qr" = :meta->>'qr';
SET ":hash" = :meta->>'hash';
SET ":preview" = :meta->>'preview';
SELECT 'dynamic' AS component, sqlpage.run_sql(:tool||'/save.sql') AS properties;
