SET ":view" = COALESCE(:content, '') <> '';
SELECT 'button' AS component;
SELECT 'Open' AS title
, 1 AS width
, '/upload.sql?action=open' AS link
;
SELECT 'New' AS title
, 1 AS width
, 'gray-500' AS color
, '/upload.sql' AS link
;
SELECT 'Download' AS title
, 2 AS width
, 'gray-500' AS color
, '/upload/'||:hash AS link
WHERE :hash <> ''
;

SELECT 'form' AS component
, '/upload.sql' AS action
, 'Upload' AS validate
, 'post' AS method
, :tabler_color AS validate_color
WHERE NOT :view
;
SELECT 'Upload' AS value
, '' AS label
, 'hidden' AS type
, 'action' AS name
WHERE NOT :view
;
SELECT 'content' AS name
, CASE :view WHEN FALSE THEN 'file' ELSE 'hidden' END AS type
, '' AS label
--, :view AS disabled
, CASE COALESCE(:action, '')
  WHEN 'New' THEN NULL
  ELSE :content
END AS value
, 8 AS width
WHERE NOT :view
;
SELECT 'card' as component
, 1 as columns
WHERE :view
;
SELECT 'Preview' as title
, CASE WHEN substr(:mime_type, 0, instr(:mime_type, '/')) = 'image' THEN :content ELSE NULL END AS top_image
, '
Uploaded file type: ' || COALESCE(:mime_type, 'null') ||'

Uploaded file name: ' || COALESCE(:file_name, 'null') ||'
' AS description_md
WHERE :view
;
