SET ":rowid" = :content;
SET ":content" = (SELECT content FROM upload_temp WHERE rowid = :rowid);

INSERT INTO upload (hash, content, name, mime, qr, created)
VALUES (:hash, :content, :file_name, :mime_type, :qr, CURRENT_TIMESTAMP)
ON CONFLICT DO
UPDATE SET
  content = excluded.content,
  name = excluded.name,
  mime = excluded.mime,
  created = excluded.created,
  qr = excluded.qr
WHERE excluded.created > upload.created;

DELETE FROM upload_temp WHERE rowid = :rowid;

--SELECT 'redirect' AS component, '/upload.sql?hash='||:hash AS link
--WHERE :rowid IS NOT NULL;

SELECT 'loader-stop' AS component
WHERE :spinner
;
SELECT 'dynamic' AS component, sqlpage.run_sql('sqlpage/link.sql') AS properties;
