SET ":title" = 'Clip';
SET ":tool" = 'clip';
SET ":hash" = COALESCE(:hash, $hash, '');
SET ":hash" = sqlpage.url_encode(:hash);
SET ":color" = '#2fb344';
SET ":tabler_color" = 'green';
SET ":image" = '/static/clip/clip-favicon_square.svg';
SET ":favicon" = :image;
SET ":manifest" = '/static/clip/manifest.json';
SET ":action" = COALESCE(:action, $action, '');
SET ":inner" = (CASE :action
  WHEN 'open' THEN 'sqlpage/Open.sql'
  ELSE 'clip/Index.sql'
END);
SET ":spinner" = COALESCE(:content,'') <> '' AND COALESCE(:action, '') = 'Paste';
SELECT 'dynamic' AS component, sqlpage.run_sql('sqlpage/theme.sql') AS properties;
SELECT 'dynamic' AS component, sqlpage.run_sql('sqlpage/Style.sql') AS properties;
SELECT 'loader-start' AS component
, 'lg' AS size
, :tabler_color AS color
, '' AS spinner
WHERE :spinner
;
SELECT 'progress' AS component
, 'lg' AS size
, :tabler_color AS color
WHERE :spinner
;
SELECT 'dynamic' AS component, sqlpage.run_sql(:inner) AS properties;
